Index: pr_inversion/test/test_output.txt
===================================================================
--- pr_inversion/test/test_output.txt	(revision 082c565038be2624bd830da45609c94c5d76e941)
+++ pr_inversion/test/test_output.txt	(revision 3fdb68a7dc5802eb92cc5eee47ca3014db8f7457)
@@ -3,5 +3,5 @@
 #alpha=0.0007
 #chi2=836.797
-#elapsed=0.0010469
+#elapsed=0.000852108
 #qmin=None
 #qmax=None
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 83d9120fa15e06ce7da4e5b92914314f356b1a1c)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 3fdb68a7dc5802eb92cc5eee47ca3014db8f7457)
@@ -634,23 +634,28 @@
             curr_symbol = 13
 
-        self.appD = appearanceDialog(self,'Modify plot properties')
-        self.appD.setDefaults(float(curr_size),int(curr_color),str(appearanceDialog.find_key(self.get_symbol_label(),int(curr_symbol))),curr_label)
-        self.appD.Bind(wx.EVT_CLOSE, self.on_AppDialog_close)    
-
-    def on_AppDialog_close(self,e):
-        if(self.appD.okay_clicked == True):
-            info = self.appD.getCurrentValues() # returns (size,color,symbol,datalabel)
-            self.appearance_selected_plot.custom_color = self._color_labels[info[1].encode('ascii','ignore')]
-
-            self.appearance_selected_plot.markersize = float(info[0])
-            self.appearance_selected_plot.symbol = self.get_symbol_label()[info[2]] # self._symbol_labels[info[2].encode('ascii','ignore')]
-            self.appearance_selected_plot.label = str(info[3])
-
-            pos = self.parent._window_menu.FindItem(self.window_caption)
-            helpString = 'Show/Hide Graph: '
-            for plot in  self.plots.itervalues():
-                helpString += (' ' + str(plot.label) +';')
-                self.parent._window_menu.SetHelpString(pos, helpString)
-                self._is_changed_legend_label = True
+        self.appD = appearanceDialog(self, 'Modify plot properties')
+        self.appD.setDefaults(float(curr_size),
+                              int(curr_color),
+                              str(appearanceDialog.find_key\
+                                      (self.get_symbol_label(),
+                                       int(curr_symbol))),curr_label)
+        if self.appD.ShowModal() == wx.ID_OK:
+            self.on_AppDialog_close()
+
+    def on_AppDialog_close(self):
+
+        info = self.appD.getCurrentValues() # returns (size,color,symbol,datalabel)
+        self.appearance_selected_plot.custom_color = self._color_labels[info[1].encode('ascii','ignore')]
+        
+        self.appearance_selected_plot.markersize = float(info[0])
+        self.appearance_selected_plot.symbol = self.get_symbol_label()[info[2]] # self._symbol_labels[info[2].encode('ascii','ignore')]
+        self.appearance_selected_plot.label = str(info[3])
+        
+        pos = self.parent._window_menu.FindItem(self.window_caption)
+        helpString = 'Show/Hide Graph: '
+        for plot in  self.plots.itervalues():
+            helpString += (' ' + str(plot.label) + ';')
+            self.parent._window_menu.SetHelpString(pos, helpString)
+            self._is_changed_legend_label = True
                 
         self.appD.Destroy()
@@ -669,8 +674,9 @@
                                   find_key(self.get_loc_label(),self.legendLoc),
                                   self.xcolor,self.ycolor)
-        self.graphApp.Bind(wx.EVT_CLOSE, self.on_graphApp_close)
+        if self.graphApp.ShowModal() == wx.ID_OK:
+            self.on_graphApp_close()
     
 
-    def on_graphApp_close(self, event):
+    def on_graphApp_close(self):
         """
         Gets values from graph appearance dialog and sends them off
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/appearanceDialog.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/appearanceDialog.py	(revision 6c4130a921ee258460ebe3f22b1b9992a7f39839)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/appearanceDialog.py	(revision 3fdb68a7dc5802eb92cc5eee47ca3014db8f7457)
@@ -24,10 +24,9 @@
 
 
-class appearanceDialog(wx.Frame):
+class appearanceDialog(wx.Dialog):
 
     def __init__(self,parent,title):
-        super(appearanceDialog,self).__init__(parent, title=title,size=(570,430))
-
-        self.okay_clicked = False
+        super(appearanceDialog,self).__init__(parent, title=title,
+                                              size=(570, 430))
 
         self.symbolLabels = self.get_symbol_label()
@@ -78,6 +77,5 @@
 
         # buttons
-        OkButton = wx.Button(panel, label='OK')
-        OkButton.Bind(wx.EVT_BUTTON,self.onOK)
+        OkButton = wx.Button(panel, wx.ID_OK, label='OK')
         cancelButton = wx.Button(panel, label='Cancel')
         cancelButton.Bind(wx.EVT_BUTTON, self.CloseDlg)
@@ -172,5 +170,5 @@
         
         for color in sortedcolorLabels:
-             self.colorListBox.Append(str(color[0]))
+            self.colorListBox.Append(str(color[0]))
  
     def populateSize(self):
@@ -260,6 +258,2 @@
         return(size,color,symbol,name)
 
-    def onOK(self,e):
-        self.okay_clicked = True
-
-        self.Close()
Index: sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py
===================================================================
--- sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 67fb83bebcbbfb33f892b1121172bd3a1982a2d1)
+++ sansguiframe/src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 3fdb68a7dc5802eb92cc5eee47ca3014db8f7457)
@@ -23,5 +23,5 @@
 
 
-class graphAppearance(wx.Frame):
+class graphAppearance(wx.Dialog):
 
     def __init__(self, parent, title, legend=True):
@@ -105,8 +105,7 @@
 
         self.cancel_button = wx.Button(panel, label='Cancel')
-        self.ok_button = wx.Button(panel, label='OK')
+        self.ok_button = wx.Button(panel, wx.ID_OK, label='OK')
 
         self.cancel_button.Bind(wx.EVT_BUTTON, self.onCancel)
-        self.ok_button.Bind(wx.EVT_BUTTON, self.on_ok)
 
 
@@ -181,7 +180,4 @@
         if(fonty.ShowModal() == wx.ID_OK):
             self.yfont = fonty.get_font()
-
-    def on_ok(self, e):
-        self.Close()
 
     def onCancel(self, e):
